### Method

# Adw StatusPage get_icon_name

#### Declaration [src]

    const char*
    adw_status_page_get_icon_name (
      AdwStatusPage* self
    )

#### Description [src]

Gets the icon name for `self`.

Available since: | 1.0

Gets property | `Adw.StatusPage:icon-name`

#### Return value

Returns: | `utf8`
| The icon name.
| The data is owned by the instance.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.